aboutsummaryrefslogtreecommitdiff
path: root/init.d/save-keymaps.in
diff options
context:
space:
mode:
authorWilliam Hubbs <w.d.hubbs@gmail.com>2018-11-06 16:34:14 -0600
committerWilliam Hubbs <w.d.hubbs@gmail.com>2018-11-07 08:55:44 -0600
commit7eb3975543eafd44c6946ca5a76812aa0d7a7303 (patch)
tree5b8e855a6a14f51af20873bfc8ae1ec19416702b /init.d/save-keymaps.in
parent60e60dc9bbf0e3a18d897861367d9289ae8006d6 (diff)
Create save-keymaps and save-ktermencoding services
These services represent the parts of the keymaps and termencoding services which saved the settings back to the root file system so they can be loaded very early in the boot process. These are needed to allow keymaps and termencoding to run earlier in the boot sequence. X-Gentoo-Bug: 446018 X-Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=446018
Diffstat (limited to 'init.d/save-keymaps.in')
-rw-r--r--init.d/save-keymaps.in28
1 files changed, 28 insertions, 0 deletions
diff --git a/init.d/save-keymaps.in b/init.d/save-keymaps.in
new file mode 100644
index 00000000..f35097ce
--- /dev/null
+++ b/init.d/save-keymaps.in
@@ -0,0 +1,28 @@
+#!@SBINDIR@/openrc-run
+# Copyright (c) 2018 Sony Interactive Entertainment, Inc.
+#
+# This file is part of OpenRC. It is subject to the license terms in
+# the LICENSE file found in the top-level directory of this
+# distribution and at https://github.com/OpenRC/openrc/blob/master/LICENSE
+# This file may not be copied, modified, propagated, or distributed
+# except according to the terms contained in the LICENSE file.
+
+description="Save the keymap for use as early as possible"
+
+depend()
+{
+ need termencoding
+ after bootmisc clock keymaps
+ keyword -docker -lxc -openvz -prefix -systemd-nspawn -uml -vserver -xenu
+}
+
+start()
+{
+ # Save the keymapping for use immediately at boot
+ ebegin "Saving key mapping"
+ if checkpath -W "$RC_LIBEXECDIR"; then
+ mkdir -p "$RC_LIBEXECDIR"/console
+ dumpkeys >"$RC_LIBEXECDIR"/console/keymap
+ fi
+ eend $? "Unable to save keymapping"
+}